<?php

namespace App\Notification\Notifications\Hellcase;

use App\Browser\Jobs\Hellcase\HellcaseLoginQrCode;
use App\Notification\Notification;
use App\Notification\Notifications\NotificationLogin;
use Laravel\Dusk\Browser;

class HellcaseNotificationLogin extends NotificationLogin {

    public function __construct(int $jobId, \App\Notification\NotificationBody $body) {
        parent::__construct($jobId, $body);
    }

    /**
     * @inheritDoc
     */
    public function getImageProjectPath(): string|null {
        return HellcaseLoginQrCode::getImgFileProjectPath();
    }

    /**
     * @inheritDoc
     */
    public function getLinkURL(): string|null {
        return route('jobs.show', ['job' => $this->job->id]);
    }
}
